/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.area.field;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import nl.cloudfarming.client.geoviewer.Geographical;
import nl.cloudfarming.client.geoviewer.event.GeoEvent;
import org.openide.awt.ActionID;
import org.openide.awt.ActionRegistration;

/**
 * Action to select a field on the map
 *
 * @author Timon Veenstra
 */
//TODO move to geoviewer api
@ActionRegistration(displayName = "#action.select_plot_in_map.name", iconBase="nl/cloudfarming/client/icon/map-go-icon.png")
@ActionID(category = "TaskBar/Area", id = "nl.cloudfarming.client.area.field.SelectFieldInMapAction")
public class SelectFieldInMapAction implements ActionListener {

    private final Geographical geographical;

    public SelectFieldInMapAction(Geographical geographical) {
        this.geographical = geographical;
    }

    /**
     *
     * @param e
     */
    @Override
    public void actionPerformed(ActionEvent e) {
        GeoEvent.getProducer().triggerEvent(GeoEvent.REQUEST_FOCUS, geographical);
    }
}
