/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.area.field.explorer;

import java.beans.IntrospectionException;
import nl.cloudfarming.client.area.AreaService;
import nl.cloudfarming.client.area.field.FieldLayerObject;
import nl.cloudfarming.client.model.AgroSenseBeanNode;
import nl.cloudfarming.client.model.Field;
import org.openide.nodes.Children;
import org.openide.util.lookup.Lookups;

/**
 *
 * @author Timon Veenstra
 */
public class FieldNode extends AgroSenseBeanNode<Field> {

    public FieldNode(FieldLayerObject layerObject, AreaService service) throws IntrospectionException {
        super(layerObject.getObject(), Children.LEAF, Lookups.fixed(layerObject,layerObject.getObject(),service));
        setIconBaseWithExtension("nl/cloudfarming/client/icon/map-icon.png");
    }
}
